Subject: Re: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: martin rudalics <[email-masked]>
Date: Thu, 5 Dec 2019 14:45:39 +0100

> Oh. I meant maximised, not full screen. Initially, I observed the issue
 > with maximised emacs frames. (My title bar is located at the bottom of
 > the frame, not on top).

I see it, now.  The following is a bit tedious: Couldy you try in
widget.c and xterm.c to selectively make frame_resize_pixelwise have
no effect, so we could possibly locate the direct source of the
problem?  There are four instances of this, three in widget.c and one
in xterm.c.  For example, for the latter, you would have to change the
two lines

   size_hints.width_inc = frame_resize_pixelwise ? 1 : FRAME_COLUMN_WIDTH (f);
   size_hints.height_inc = frame_resize_pixelwise ? 1 : FRAME_LINE_HEIGHT (f);

in x_wm_set_size_hint in xterm.c to

   size_hints.width_inc = FRAME_COLUMN_WIDTH (f);
   size_hints.height_inc = FRAME_LINE_HEIGHT (f);

Thanks, martin